* {
    margin: 0;
    padding: 0;
}

*,
*::after,
*::before {
    box-sizing: border-box;
}

html {
    font-size: 16px;
}

body {
    font-family: "Funnel Sans", sans-serif;
    line-height: 1.4;
    background: #fff;
    color: #333;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: normal;
    margin-bottom: 1rem;
}

button {
    background: none;
    border: none;
    cursor: pointer;
}

ul,
ol {
    list-style: none;
    padding-left: 0;
}

.main {
    min-height: 100dvh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #cadce8;
}

.container {
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    padding: 0 1rem;
    text-align: center;
}

.tracker-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    min-height: 100vh;
}

.summary {
    font-weight: bold;
}

.balance {
    font-size: 2rem;
}

.form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.inputs {
    width: 100%;
    padding: 5px 0;
}

.inputs-radio {
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.radio {
    background: #8ecae6;
    padding: 15px;
    flex: 1;
    border-radius: 5px;
    transition: background 0.3s ease, transform 0.1s ease;
}

.disabled {
    opacity: 0.5;
    pointer-events: none;
}

.radio label {
    display: block;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.radio:hover {
    background: #a6c5d8;
}

.radio:active {
    transform: scale(0.97);
}

input[type="radio"] {
    opacity: 0;
    position: absolute;
    width: 0;
    height: 0;
}

.radio:has(input[value="deposit"]:checked) {
    background: #249b90;
}

.radio:has(input[value="withdrawal"]:checked) {
    background: #ff8080;
}

label {
    font-weight: bold;
    font-size: 1.125rem;
}

.input {
    background: #a6c5d8;
    width: 100%;
    text-align: center;
    text-align-last: center;
    font-size: 1.5rem;
    padding: 3px;
    border: none;
    outline: 1px solid #a6c5d8;
    border-radius: 5px;
    transition: outline 0.3s ease, box-shadow 0.2s ease;
}

.input:hover {
    outline: 1px solid #467da0;
}

.input:focus {
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.input:focus-visible {
    outline: 2px solid #467da0;
}

.input--danger {
    outline: 1px solid #c1121f;
}

button {
    width: auto;
    background: #8ecae6;
    font-size: 1.5rem;
    padding: 5px;
    border-radius: 5px;
    transition: background 0.3s ease, transform 0.1s ease;
}

button:hover {
    background: #5f97b9;
}

button:active {
    transform: scale(0.97);
}

.transaction-history {
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 45vh;
}

.history {
    display: flex;
    flex-direction: column;
    gap: 5px;
    overflow-y: auto;
    flex: 1;
    scroll-behavior: smooth;
    scrollbar-width: none;
}

.history--none {
    justify-content: center;
    align-items: center;
}

@keyframes slideDown {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.transaction {
    background: #a6c5d8;
    font-size: 1.125rem;
    padding: 5px;
}

.new {
    animation: slideDown 0.3s ease forwards;
}

.transaction--deposit {
    border-right: 5px solid #249b90;
}

.transaction--withdrawal {
    border-right: 5px solid #c1121f;
}

.transaction__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.transaction__content span:first-child {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    line-clamp: 1;
    overflow: hidden;
}